Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JREvaluator

    java.lang.Object
      net.sf.jasperreports.engine.fill.JREvaluator

All Implemented Interfaces:
  DatasetExpressionEvaluator

Direct Known Subclasses:
  JavaScriptEvaluator, JRBshEvaluator

    public abstract class JREvaluator

extends java.lang.Object
implements DatasetExpressionEvaluator

Base class for the dynamically generated expression evaluator classes.

Version:
  $Id: JREvaluator.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`protected` | `JREvaluator()` Default constructor.

Method Summary
`protected abstract void` | `customizedInit(java.util.Map parametersMap, java.util.Map fieldsMap, java.util.Map variablesMap)` Initializes the parameters, fields and variables of the evaluator.
`protected abstract java.lang.Object` | `evaluate(int id)` Evaluates an expression using current fields and variables values.
`java.lang.Object` | `evaluate(JRExpression expression)`
`protected abstract java.lang.Object` | `evaluateEstimated(int id)` Evaluates an expression using estimated variables values.
`java.lang.Object` | `evaluateEstimated(JRExpression expression)`
`protected abstract java.lang.Object` | `evaluateOld(int id)` Evaluates an expression using old fields and variables values.
`java.lang.Object` | `evaluateOld(JRExpression expression)`
`protected java.lang.String` | `handleMissingResource(java.lang.String key, java.lang.Exception e)` Handles the case when a resource is missing.
`void` | `init(java.util.Map parametersMap, java.util.Map fieldsMap, java.util.Map variablesMap, WhenResourceMissingTypeEnum resourceMissingType)` Initializes the evaluator by setting the parameter, field and variable objects.
`java.lang.String` | `msg(java.lang.String pattern, java.lang.Object arg0)` Constructs a message using a pattern with one parameter.
`java.lang.String` | `msg(java.lang.String pattern, java.lang.Object[] args)` Constructs a message using a pattern with an Object array parameter.
`java.lang.String` | `msg(java.lang.String pattern, java.lang.Object arg0, java.lang.Object arg1)` Constructs a message using a pattern with two parameters.
`java.lang.String` | `msg(java.lang.String pattern, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` Constructs a message using a pattern with three parameters.
`java.lang.String` | `str(java.lang.String key)` Returns a string for a given key from the resource bundle associated with the evaluator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JREvaluator

    protected JREvaluator()

  Default constructor.

Method Detail

### init

    public void init(java.util.Map parametersMap,
                     java.util.Map fieldsMap,
                     java.util.Map variablesMap,
                     WhenResourceMissingTypeEnum resourceMissingType)
              throws JRException

  Initializes the evaluator by setting the parameter, field and variable objects.

  Specified by:
    `init` in interface `DatasetExpressionEvaluator`
  Parameters:
    `parametersMap` - the parameters indexed by name
    `fieldsMap` - the fields indexed by name
    `variablesMap` - the variables indexed by name
    `resourceMissingType` - the resource missing type
  Throws:
    `JRException`

### msg

    public java.lang.String msg(java.lang.String pattern,
                                java.lang.Object arg0)

  Constructs a message using a pattern with one parameter.

  Parameters:
    `pattern` - the message pattern
    `arg0` - the message parameter
  Returns:
    the constructed message
  See Also:
    `MessageFormat.format(java.lang.Object[],java.lang.StringBuffer, java.text.FieldPosition)`

### msg

    public java.lang.String msg(java.lang.String pattern,
                                java.lang.Object arg0,
                                java.lang.Object arg1)

  Constructs a message using a pattern with two parameters.

  Parameters:
    `pattern` - the message pattern
    `arg0` - the first message parameter
    `arg1` - the second message paramter
  Returns:
    the constructed message
  See Also:
    `MessageFormat.format(java.lang.Object[],java.lang.StringBuffer, java.text.FieldPosition)`

### msg

    public java.lang.String msg(java.lang.String pattern,
                                java.lang.Object arg0,
                                java.lang.Object arg1,
                                java.lang.Object arg2)

  Constructs a message using a pattern with three parameters.

  Parameters:
    `pattern` - the message pattern
    `arg0` - the first message parameter
    `arg1` - the second message paramter
    `arg2` - the third parameter
  Returns:
    the constructed message
  See Also:
    `MessageFormat.format(java.lang.Object[],java.lang.StringBuffer, java.text.FieldPosition)`

### msg

    public java.lang.String msg(java.lang.String pattern,
                                java.lang.Object[] args)

  Constructs a message using a pattern with an Object array parameter.

  Parameters:
    `pattern` - the message pattern
    `args` - the parameter Object array
  Returns:
    the constructed message
  See Also:
    `MessageFormat.format(java.lang.Object[],java.lang.StringBuffer, java.text.FieldPosition)`

### str

    public java.lang.String str(java.lang.String key)

  Returns a string for a given key from the resource bundle associated with the evaluator.

  Parameters:
    `key` - the key
  Returns:
    the string for the given key
  See Also:
    `ResourceBundle.getString(java.lang.String)`

### evaluate

    public java.lang.Object evaluate(JRExpression expression)
                              throws JRExpressionEvalException

  Specified by:
    `evaluate` in interface `DatasetExpressionEvaluator`
  Throws:
    `JRExpressionEvalException`

### evaluateOld

    public java.lang.Object evaluateOld(JRExpression expression)
                                 throws JRExpressionEvalException

  Specified by:
    `evaluateOld` in interface `DatasetExpressionEvaluator`
  Throws:
    `JRExpressionEvalException`

### evaluateEstimated

    public java.lang.Object evaluateEstimated(JRExpression expression)
                                       throws JRExpressionEvalException

  Specified by:
    `evaluateEstimated` in interface `DatasetExpressionEvaluator`
  Throws:
    `JRExpressionEvalException`

### handleMissingResource

    protected java.lang.String handleMissingResource(java.lang.String key,
                                                     java.lang.Exception e)
                                              throws JRRuntimeException

  Handles the case when a resource is missing.

  Parameters:
    `key` - the resource key
    `e` - the exception
  Returns:
    the value to use for the resource
  Throws:
    `JRRuntimeException` - when the resource missing handling type is Error

### customizedInit

    protected abstract void customizedInit(java.util.Map parametersMap,
                                           java.util.Map fieldsMap,
                                           java.util.Map variablesMap)
                                    throws JRException

  Initializes the parameters, fields and variables of the evaluator.

  Parameters:
    `parametersMap` - the parameters indexed by name
    `fieldsMap` - the fields indexed by name
    `variablesMap` - the variables indexed by name
  Throws:
    `JRException`

### evaluate

    protected abstract java.lang.Object evaluate(int id)
                                          throws java.lang.Throwable

  Evaluates an expression using current fields and variables values.

  Parameters:
    `id` - the expression id
  Returns:
    the result of the evaluation
  Throws:
    `java.lang.Throwable`
  See Also:
    `JRExpression.EVALUATION_DEFAULT`, `JRFillVariable.getValue()`, `JRFillField.getValue()`

### evaluateOld

    protected abstract java.lang.Object evaluateOld(int id)
                                             throws java.lang.Throwable

  Evaluates an expression using old fields and variables values.

  Parameters:
    `id` - the expression id
  Returns:
    the result of the evaluation
  Throws:
    `java.lang.Throwable`
  See Also:
    `JRExpression.EVALUATION_OLD`, `JRFillVariable.getOldValue()`, `JRFillField.getOldValue()`

### evaluateEstimated

    protected abstract java.lang.Object evaluateEstimated(int id)
                                                   throws java.lang.Throwable

  Evaluates an expression using estimated variables values.

  Parameters:
    `id` - the expression id
  Returns:
    the result of the evaluation
  Throws:
    `java.lang.Throwable`
  See Also:
    `JRExpression.EVALUATION_ESTIMATED`, `JRFillVariable.getEstimatedValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com